Update a load balancer rule
Authentication
X-API-Client-IDstring
API Client ID
X-API-Client-Secretstring
API Client Secret
Path parameters
ruleId
ID of the load balancer rule
Request
This endpoint expects an object.
name
New name for the rule.
algorithm
New algorithm used to distribute traffic.
Allowed values:
description
New description for the rule.
protocol
New protocol the load balancer accepts.
sourceCidrList
New source CIDR allowed to reach the load balancer.
Response
Load balancer rule updated
id
Unique identifier for the load balancer rule.
name
Human-readable name for the rule.
publicPort
Public port the load balancer listens on.
privatePort
Port on the backend VMs that traffic is forwarded to.
algorithm
Algorithm used to distribute traffic across the backend VMs.
protocol
Protocol the load balancer accepts.
state
Current lifecycle state of the rule.
ipAddressId
Identifier of the public IP the rule is attached to.
ipAddress
Public IP address the rule is attached to.
networkId
Identifier of the network the rule is associated with.
sourceCidrList
Source CIDR allowed to reach the load balancer.
createdAt
When the rule was created.
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
500
Internal Server Error